#!/usr/bin/env python3

from setuptools import setup, find_packages
import sys

setup(
    name="netmon",
    version="0.0.1",
    description="Monitors and records the network state",
    author="Théophile BASTIAN",
    license="LICENSE",
    url="https://git.tobast.fr/tobast/netmon",
    packages=find_packages(),
    include_package_data=True,
    package_data={"netmon": ["py.typed"]},
    long_description=open("README.md").read(),
    install_requires=[],
    entry_points={
        "console_scripts": [
            ("netmon = netmon.entry:entry"),
        ]
    },
)
